<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="UTF-8">

<!-- BOOTSTRAP META -->
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<meta http-equiv="X-UA-Compatible" content="ie=edge">
<title>Login</title>

<!-- BASIC CSS -->
<link rel="stylesheet" href="/css/basic.css">

<!-- BOOTSTRAP CSS -->
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
	integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
	crossorigin="anonymous">
	
<link rel="icon" type="image/png" href="/images/favicon-32x32.png">
</head>

<body>
	<!-- ------------------- -->
	<!-- NAVIGATION -------- -->
	<!-- ------------------- -->

	<nav class="navbar navbar-expand-sm navbar-dark bg-dark">
		<a href="/"><img id="logo" class="navbar-brand" height="80px"
			src="/images/SimpleBookLogo.png"></a>
		<button class="navbar-toggler" data-toggle="collapse"
			data-target="#navbarMenu">
			<span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="navbarMenu">
			<!-- <ul class="navbar-nav ml-auto">
				<li class="nav-item"><a href="#" class="nav-link">Users</a></li>
				<li class="nav-item"><a href="#" class="nav-link">Products</a>
				</li>
			</ul> -->
			<a href="/user" class="btn btn-primary btn-lg active ml-auto"
				role="button" aria-pressed="true">Sign Up</a>
		</div>

	</nav>

	<!-- ------------------- -->
	<!-- USER CARDS -------- -->
	<!-- ------------------- -->

	<form id="FormBorder" action="#" th:action="${postAction}"
		method="post" th:object="${userlogin}">
		<h1>Login to Your Account</h1>
		<br>
		<p
			th:class="${loginHint eq 'true' ? 'show-loginHint' : 'hide-loginHint'}">Wrong
			Email or password. Please try again.</p>
		<div class="form-group">
			<label>Email:</label> <input type="email" class="form-control"
				id="exampleInputEmail1" placeholder="Enter email"
				name="userlogin.email" th:value="*{email}" required />
		</div>

		<div class="form-group">
			<label>Password:</label> <input type="password" class="form-control"
				id="exampleInputPassword1" placeholder="Password"
				name="userlogin.pw" th:value="*{pw}" required />
		</div>

		<button type="submit" class="btn btn-primary">Login</button>

	</form>

	<!-- 	Bootstrap js -->
	<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
		integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
		crossorigin="anonymous"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
		integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
		crossorigin="anonymous"></script>
	<script
		src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
		integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
		crossorigin="anonymous"></script>
</body>
</html>